<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFolderFromPath Method (IEdmVault5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault5 Interface : GetFolderFromPath Method (IEdmVault5)

Visual Basic
C#
C++/CLI

bsFolderPath
  File system path to the folder

Gets an interface to a folder on the specified file system path.

# Syntax

Visual Basic |
--- | ---

    Function GetFolderFromPath( _
       ByVal bsFolderPath As System.String _
    ) As IEdmFolder5

C# |
--- | ---

    IEdmFolder5 GetFolderFromPath(
       System.string bsFolderPath
    )

C++/CLI |
--- | ---

    IEdmFolder5^ GetFolderFromPath(
    &   System.String^ bsFolderPath
    )

#### Parameters

bsFolderPath
  File system path to the folder

#### Return Value

IEdmFolder5; Null if the folder in bsFolderPath is not found

# Example

Add Files to Vault (VB.NET)
Add Files to Vault (C#)

# Remarks

C++ users must release the returned interface, IEdmFolder5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The folder was not found.
- E_EDM_NOT_LOGGED_IN: You must call IEdmVault5::Login or IEdmVault5::LoginAuto before calling this method.

# See Also

####

IEdmVault5 Interface
IEdmVault5 Members
IEdmVault5::GetFileFromPath Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2